Bug 115986 - Elementary icons for promote and demote chapter are inverted in navigator panel
Summary: Elementary icons for promote and demote chapter are inverted in navigator panel
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All Linux (All)
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected
Depends on:
Blocks: Icon-Theme-Elementary
  Show dependency treegraph
 
Reported: 2018-02-24 08:37 UTC by wkrekik
Modified: 2018-10-27 10:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot capture of inverted icons (12.74 KB, image/png)
2018-02-24 08:39 UTC, wkrekik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wkrekik 2018-02-24 08:37:36 UTC
Description:
In navigator panel (F5 or sidebar)

Steps to Reproduce:
1.Open a writer document
2.Open navigator either by F5 or by clicking on sidebar icon
3.Clicking on the up arrow demote the chapter instead of promoting it, and vice versa with the down arrow

Actual Results:  
up arrow demote the chapter

Expected Results:
up arrow should promote the chapter


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 wkrekik 2018-02-24 08:39:43 UTC
Created attachment 140108 [details]
screenshot capture of inverted icons
Comment 2 Julien Nabet 2018-02-25 10:13:52 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.
Comment 3 Julien Nabet 2018-02-25 10:14:48 UTC
Andreas: noticing your work on elementary icons, thought you might be interested in this one.
Comment 4 Xisco Faulí 2018-02-26 15:55:40 UTC
The icons became inverted after:

author	andreas kainz <kainz.a@gmail.com>	2017-11-16 14:34:17 +0100
committer	andreas_kainz <kainz.a@gmail.com>	2017-11-18 01:01:18 +0100
commit	588093c42cfe6c26664c50eea40c53414683d66c (patch)
tree	65e7f4fd6195eccbf353b1c95a84155d549cedc1
parent	637d96a25926e299fff5b4cf5a0055b1d171b23b (diff)
Elementary icons sc_ initial updates

Bisected with: bibisect-linux64-6.0

Adding Cc: to andreas kainz
Comment 5 Rizal Muttaqin 2018-10-27 03:33:17 UTC
As in latest build https://opengrok.libreoffice.org/xref/core/icon-themes/elementary/links.txt see

sw/res/sc20171.png cmd/sc_downsearch.png
sw/res/sc20172.png cmd/sc_prevrecord.png

it has been switched 


So it has been fixed
Comment 6 Rizal Muttaqin 2018-10-27 03:33:43 UTC
(In reply to Rizal Muttaqin from comment #5)
> As in latest build
> https://opengrok.libreoffice.org/xref/core/icon-themes/elementary/links.txt
> see
> 
> sw/res/sc20171.png cmd/sc_downsearch.png
> sw/res/sc20172.png cmd/sc_prevrecord.png
> 
> it has been switched 
> 
> 
> So it has been fixed

Version: 6.2.0.0.alpha1+
Build ID: 808dcac5f733ab5addcec0d3b3dcf5637aebd352
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-10-25_07:52:46
Locale: id-ID (id_ID.UTF-8); Calc: threaded